uses XMLChecker, CheckXML;

  procedure CheckAllOpenXML;
  const
    //   ,      Messages.lng
    sErrorNoOpenXML = '  XML ';
    sCaptionError = '';

  var
    I, XMLCount: Integer;
    App: IchkApplication;
    Tab: IchkFileTab;
  begin

    //  -
    App := CreateApplication;
    //   
    App.InitLocalizer(App.GetThisScriptFolder + '\' + 'Messages.lng', 'ru');
  
    XMLCount := 0;
    for I := 0 to App.MainWindow.FileTabs.TabCount - 1 do
    begin
      //     
      Tab := App.MainWindow.FileTabs.Tabs[I];
  
      //    XML  
      if (Tab.TabKind = chktabXML) and (Tab.AsXMLTab.XMLDocument <> nil) then
      begin
        Inc(XMLCount);
        //   
        App.MainWindow.FileTabs.ActivateTab(Tab.TabIndex);
        //   XML
        CheckActiveXML(App);
      end;
    
    end;
  
    //    ,    XML 
    if XMLCount = 0 then
      App.DisplayHint(chkikError, App.Translate(sCaptionError), App.Translate(sErrorNoOpenXML));
  
  end;
  
begin
  CheckAllOpenXML;
end.    